この文章は Salesforce 機械翻訳システムを使用して翻訳されました。詳細はこちらをご参照ください。
英語に切り替える

複数のレコードタイプを持つオブジェクトのレイアウトと説明の取得

レイアウトとその説明のリストを取得します。

複数のレコードタイプが定義されているオブジェクトのレイアウトの説明については、recordTypeId/services/data/vXX.X/sobjects/sObject/describe/layouts/ の結果から取得できます。

複数のレコードタイプが定義されているオブジェクトの GET 要求は、応答の layouts セクションで null を返します。

構文

URI
/services/data/vXX.X/sobjects/sObject/describe/layouts/recordTypeId
形式
JSON、XML
HTTP のメソッド
GET
認証
Authorization: Bearer token
パラメーター
不要

リクエストの例
1curl https://MyDomainName.my.salesforce.com/services/data/v60.0/sobjects/Chocolate__c/describe/layouts/0125c000000oIN9AAM -H "Authorization: Bearer token"
レスポンスボディの例
1{
2  "buttonLayoutSection" : {
3    "detailButtons" : [ 
4        ...
5    ]
6  },
7  "detailLayoutSections" : [
8        ...
9  ],
10  "editLayoutSections" : [  
11        ...
12  ],
13  "feedView" : null,
14  "highlightsPanelLayoutSection" : null,
15  "id" : "00ho000000CUJWIAA5",
16  "multirowEditLayoutSections" : [ ],
17  "offlineLinks" : [ ],
18  "quickActionList" : {
19    "quickActionListItems" : [
20            ...
21    ]
22  },
23  "relatedContent" : null,
24  "relatedLists" : [  
25        ...
26  ],
27  "saveOptions" : [ ]
28}